function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO ActiveMatrix Adapter for Kenan/BP Documentation","5#30316");
C=B.fN("Other TIBCO Product Documentation","5#24887");
C=B.fN("Third-Party Documentation","5#38050");
B=A.fN("Typographical Conventions","6");
B=A.fN("How to Contact TIBCO Support","7");
A=P.fN("Chapter\u00a01 Introduction","8");
B=A.fN("Overview","9");
C=B.fN("Features","9#3343157");
B=A.fN("Configuration","10");
C=B.fN("Projects","10#3312714");
C=B.fN("Version Control","10#3312735");
B=A.fN("Deployment","11");
C=B.fN("TIBCO Administration Domain","11#3314169");
C=B.fN("TIBCO Administration Server","11#3314173");
C=B.fN("TIBCO Administrator GUI","11#3314178");
B=A.fN("Adapter Project Lifecycle","12");
A=P.fN("Chapter\u00a02 Getting Started","13");
B=A.fN("Overview","14");
C=B.fN("Before Starting","14#3343714");
B=A.fN("Configuring the Adapter Components","15");
B=A.fN("Deploying the Adapter","16");
C=B.fN("Deploying the Runtime Adapter Using Adapter Tester","16#3343786");
C=B.fN("Deploying the Runtime Adapter from a Shell","16#3343815");
A=P.fN("Chapter\u00a03 Adapter Instance Options","17");
B=A.fN("Overview","18");
C=B.fN("Configuration Tasks","18#3183870");
C=B.fN("Multithreading","18#3343332");
C=B.fN("Connection Management","18#3359446");
C=B.fN("Saving the Project","18#3325294");
C=B.fN("Testing the Adapter","18#3325301");
B=A.fN("Adapter Instance Tabs","19");
C=B.fN("Configuration Tab","19#3116684");
C=B.fN("Run-time Connection Tab","19#3160265");
C=B.fN("Multithreading Tab","19#3257898");
C=B.fN("General Tab","19#3289588");
C=B.fN("Logging Tab","19#3162601");
C=B.fN("Startup Tab","19#3162646");
C=B.fN("Monitoring Tab","19#3162657");
B=A.fN("Adapter Services Options","20");
C=B.fN("Request-Response Service Tabs","20#3178219");
C=B.fN("Transport Tab","20#3212813");
C=B.fN("Schema Tab","20#3178303");
A=P.fN("Chapter\u00a04 Transaction Handling","21");
B=A.fN("Overview","22");
B=A.fN("UDT Functionality","23");
C=B.fN("Advantages of Using UDT","23#3278144");
C=B.fN("UDT Example","23#3264213");
C=B.fN("Enabling User-Defined Transactions","23#3269614");
C=B.fN("Using the UDT Tool","23#3264785");
C=B.fN("XPath and Element Reference","23#3278893");
C=B.fN("An Example of a Customized CustomerUDTRequest Schema","23#3264022");
C=B.fN("An Example of Customized CustomerUDTResponse Schema","23#3264124");
C=B.fN("Direct Parsing of UDT Response","23#3291292");
B=A.fN("Orders Services","24");
C=B.fN("Orders Services Example","24#3268516");
A=P.fN("Chapter\u00a05 Advanced Features","25");
B=A.fN("Using Global Variables","26");
C=B.fN("Specifying Global Variables","26#2643621");
C=B.fN("Predefined Global Variables","26#3257519");
B=A.fN("Configuring a Remote Adapter","27");
B=A.fN("Using the Adapter with a Revision Control System","28");
B=A.fN("Handling DATE Fields","29");
B=A.fN("Custom Function Callout","30");
B=A.fN("Using TIBCO ActiveMatrix BusinessWorks","31");
C=B.fN("Configuring a TIBCO ActiveMatrix BusinessWorks Example","31#3259969");
A=P.fN("Chapter\u00a06 Deploying the Adapter Using TIBCO Administrator","32");
B=A.fN("Creating an EAR File in TIBCO Designer","33");
B=A.fN("Deploying the Project","34");
C=B.fN("Predefined Properties","34#3258710");
B=A.fN("Starting or Stopping the Adapter","35");
B=A.fN("Monitoring the Adapter","36");
A=P.fN("Chapter\u00a07 Monitoring the Adapter Using TIBCO Hawk","37");
B=A.fN("Overview","38");
B=A.fN("Starting TIBCO Hawk Software","39");
B=A.fN("The Auto-Discovery Process","40");
B=A.fN("Invoking Microagent Methods","41");
B=A.fN("Available Microagents","42");
C=B.fN("activateTraceRole()","42#2981976");
C=B.fN("deactivateTraceRole()","42#2982002");
C=B.fN("getActivityStatisticsByService()","42#2982198");
C=B.fN("getAdapterServiceInformation()","42#2982271");
C=B.fN("getComponents()","42#2982345");
C=B.fN("getConfig()","42#2982421");
C=B.fN("getConfigProperties()","42#2982468");
C=B.fN("getConnectionStatistics()","42#2982517");
C=B.fN("getHostInformation()","42#3238221");
C=B.fN("getQueueStatistics()","42#2982781");
C=B.fN("getRvConfig()","42#2982823");
C=B.fN("getStatus()","42#2982920");
C=B.fN("getThreadStatistics()","42#2982991");
C=B.fN("getTraceSinks()","42#2983031");
C=B.fN("getVersion()","42#2983091");
C=B.fN("_onUnsolictedMsg()","42#2983114");
C=B.fN("preRegisterListener()","42#2983118");
C=B.fN("resetActivityStatistics()","42#2983148");
C=B.fN("resetConnectionStatistics()","42#2983151");
C=B.fN("resetThreadStatistics()","42#2983157");
C=B.fN("reviewLedger()","42#2983161");
C=B.fN("setDebugLevel()","42#2983259");
C=B.fN("setTraceSinks()","42#2983352");
C=B.fN("stopApplicationInstance()","42#2983382");
C=B.fN("unRegisterListener()","42#2983385");
A=P.fN("Appendix\u00a0A Frequently Asked Questions","43");
B=A.fN("Frequently Asked Questions","44");
A=P.fN("Appendix\u00a0B Trace Messages","45");
B=A.fN("Overview","46");
B=A.fN("Trace Message Fields","47");
}
